cURL
curl -X GET "https://app.cotool.ai/api/alert-triage-routes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alert-triage-routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alert-triage-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alert-triage-routes")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alert-triage-routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"action": "triage",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>"
}
],
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"huntAlertRouting": {
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"logTableOptions": [
{
"source": "<string>",
"sourceDisplayName": "<string>",
"toolId": "<string>",
"stream": "<string>",
"streamLabel": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Get alert triage routes
Return the ordered routes that choose which agent triages a new alert, with the organization default for alerts no route matches and the agent for Hunt Alerts, which skip both.
GET
/
api
/
alert-triage-routes
cURL
curl -X GET "https://app.cotool.ai/api/alert-triage-routes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alert-triage-routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alert-triage-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alert-triage-routes")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alert-triage-routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"action": "triage",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>"
}
],
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"huntAlertRouting": {
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"logTableOptions": [
{
"source": "<string>",
"sourceDisplayName": "<string>",
"toolId": "<string>",
"stream": "<string>",
"streamLabel": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Response
Successful response
Routes in the order they are checked
Show child attributes
Show child attributes
Organization default agent for alerts no route matches
Show child attributes
Show child attributes
Agent that triages new Hunt Alerts, which skip the routes and the default
Show child attributes
Show child attributes
Agents a route can send alerts to
Show child attributes
Show child attributes
Cotool Logs tables a logTable condition can name
Show child attributes
Show child attributes
Was this page helpful?
⌘I